import request from '@/utils/request'

// api docs: https://www.showdoc.com.cn/2275703555064913/11558417901706052

// 查询免单列表
export function getFreeQueuingListApi(params) {
  return request({
    url: '/platform-participation-free/getAll',
    method: 'get',
    params
  })
}

// 查询排队免单列表详情
export function getFreeQueuingDeatilApi(params) {
  return request({
    url: '/platform-participation-free/getById',
    method: 'get',
    params
  })
}

// 发起免单: /platform-participation-free/create
export function createFreeQueuingApi(data) {
  return request({
    url: '/platform-participation-free/create',
    method: 'post',
    data
  })
}

// 修改免单 /platform-participation-free/updateById
export function updateFreeQueuingApi(data) {
  return request({
    url: '/platform-participation-free/updateById',
    method: 'post',
    data
  })
}

// 删除免单： /platform-participation-free/deleteById
export function deleteFreeQueuingDeatilApi(params) {
  return request({
    url: '/platform-participation-free/deleteById',
    method: 'DELETE',
    params
  })
}

// 查询免单池列表
export function getFreeQueuingPoolListApi(params) {
  return request({
    url: '/platform-participation-free/getPoolAll',
    method: 'get',
    params
  })
}

// 查询免单池详情
export function getFreeQueuingPoolDeatilApi(params) {
  return request({
    url: '/platform-participation-free/getPoolById',
    method: 'get',
    params
  })
}
